Bug 13362 - translate script creates dirs on update
Summary: translate script creates dirs on update
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 18:12 UTC by Bernardo Gonzalez Kriegel
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13362: translate script creates dirs on update (1.36 KB, patch)
2014-11-28 18:24 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13362: translate script creates dirs on update (1.41 KB, patch)
2014-11-28 22:32 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 13362: translate script creates dirs on update (1.56 KB, patch)
2014-12-14 20:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-11-28 18:12:11 UTC
If you do "./translate update xx-YY', it creates an unnecessary dir
'xx-YY' on opac and staff themes
Comment 1 Bernardo Gonzalez Kriegel 2014-11-28 18:24:00 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-11-28 22:32:10 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-14 20:10:08 UTC
Created attachment 34378 [details] [review]
[PASSED QA] Bug 13362: translate script creates dirs on update

A dir creation was uncommented (by me), the effect is
create a lang dir on 'update', which is no needed.

To test:
1) Update translation files for a uninstalled language
(cd misc/translator; ./translate update xx-YY)

2) Check new dirs
koha-tmpl/opac-tmpl/bootstrap/xx-YY/
koha-tmpl/intranet-tmpl/prog/xx-YY/
koha-tmpl/intranet-tmpl/prog/en/modules/help/xx-YY/

3) Clean all
git clean -f -d

4) Apply the patch

5) Repeat 1) (i.e. update)

6) Check no new dirs this time

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested according to test plan, works as described.
Passes tests and QA script.
Comment 4 Tomás Cohen Arazi 2014-12-17 22:40:50 UTC
Patch pushed to master.

Good catch Bernardo!
Comment 5 Chris Cormack 2014-12-18 00:56:49 UTC
Pushed to 3.18.x will be in 3.18.2